Subject: Jaboticaba

From: [email-masked] (CJ33880)
Date: 25 Mar 1995 02:24:29 -0500

After fifteen years our jaboticaba has bloomed and is setting fruit.

Any information about the species, its cultivation, its origin, and its
fruit, would be very much appreciated.  Please e-mail to [email-masked].

Carl Strang
Winter Haven, FL, USA